<?php
/*
Template Name: Show Posts from Category
*/

// use custom field -> show-category
?>

<?php get_header(); ?>
<?php get_sidebar(); ?>
<div id="content">
<?php if (have_posts()) : the_post(); ?>
<h1><?php the_title(); ?></h1>
<div class="entry">
<?php // the_content(); ?>
<?php 
if(get_post_meta($post->ID, 'show-category', true) !=''):
	{$cat = get_post_meta($post->ID, 'show-category', true);}
else:
	{$cat = "Uncategorized";}
endif;
endif;
?>

<?php // Start including Posts from Category Name
$paged = get_query_var('paged');
query_posts('category_name='.$cat.'&paged='.$paged);
if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
<div class="item clearfix" id="post-<?php the_ID(); ?>">
<div class="pic">
<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
<?php 
if(has_post_thumbnail()) {
	the_post_thumbnail(); } 
else {
	if ( function_exists('get_the_image') ) {
		get_the_image(array( 'custom_key' => array( 'Thumbnail', 'thumbnail' ), 'default_image' => get_bloginfo('template_directory').'/images/thumb.jpg' )); } 
	else {
		?><img src="<?php bloginfo('stylesheet_directory'); ?>/images/thumb.jpg" alt="thumb" /><?php
	}
} ?>
</a>
</div>
<div class="info">
<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
<div class="date"><?php the_time('j F Y') ?></div>
<div class="excerpt"><?php the_excerpt(); ?><?php // the_content('Read the rest of this entry &raquo;'); ?></div>
</div><!--info-->
</div><!--item-->
<?php endwhile; ?>

<div class="navigation">
<?php if(function_exists('wp_page_numbers')) :?>
	<?php wp_page_numbers(); ?>
<?php else : ?>
	<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
	<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
<?php endif; ?>
</div><!--navigation-->

<?php else : ?>
<h2>Posts Not Found</h2>
<p>Please <?php edit_post_link(' Edit This Page','',''); ?>.</p> Create Custom Fields using,<br />
<strong>Name:</strong> show-category<br />
<strong>Value:</strong> (category name you want to show posts)<br />
</p>
<?php endif; ?>
</div><!--entry-->
</div><!--content-->

<?php get_footer(); ?>